=== debian/changelog ===
xboxdrv (0.8.2-1) unstable; urgency=low

  * New upstream version
  * Upload to unstable
  * debian/control:
    - change Architecture to linux-any because of a dependency on the linux
      uinput kernel module
    - update Build-Depends for the new version: remove libboost-thread1.42-dev,
      add libboost-dev, libdbus-glib-1-dev and libudev-dev, replace libusb-dev
      with libusb-1.0-0-dev
    - bump Standards-Version to 3.9.2 (no change needed)
    - move the package to the pkg-games team (change Maintainer and
      Uploaders), update Vcs-* paths respectively
    - move python and python-dbus from Suggests to Recommends because of new
      xboxdrvctl script, drop python-gobject from Suggests because
      xboxdrv-daemon was dropped
    - small Description fix
  * debian/copyright:
    - remove sections for src/gui/evdev.py and kernel/* because the
      corresponding files were removed
    - fix GPL2 license file path in debian/copyright
  * debian/docs:
    - remove lines for files that were dropped from the source
  * debian/install:
    - remove the file, as xboxdrv-daemon was dropped
  * Fix lintian warnings for xboxdrv.1 manpage
  * Add xboxdrvctl.1 manpage
  * Remove /usr/bin/env from the xboxdrvctl shebang (per Python Policy 1.4.2)

 -- Andrey Rahmatullin <wrar@wrar.name>  Tue, 16 Aug 2011 22:05:29 +0600

xboxdrv (0.6.4-1) experimental; urgency=low

  * Initial release (Closes: #610009)

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 15 Jan 2011 22:36:10 +0500
