=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	make install PREFIX="/usr" DESTDIR="$(CURDIR)/debian/xboxdrv"
	sed -i '1s,#!/usr/bin/env python,#!/usr/bin/python,' $(CURDIR)/debian/xboxdrv/usr/bin/xboxdrvctl
