=== debian/changelog ===
xboxdrv (0.8.4-1) unstable; urgency=low

  * New upstream version
  * debian/patches/fix-xboxdrv-manpage.patch:
    - update for the new upstream version
  * debian/compat:
    - bump to 9
  * debian/control:
    - bump Build-Depends for debhelper to >= 9
    - bump Standards-Version to 3.9.3 (no change needed)
  * debian/patches/use-PATH.patch:
    - use $PATH from the environment during the build to make use of ccache
      when it's available
  * debian/rules:
    - pass CPPFLAGS, CFLAGS, CXXFLAGS and LDFLAGS to scons
    - enable all hardening options
  * debian/copyright:
    - update the format URL
    - update copyright years

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 16 Jun 2012 16:25:17 +0600
