=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 8), scons, libusb-1.0-0-dev, libx11-dev,
+Build-Depends: debhelper (>= 9), scons, libusb-1.0-0-dev, libx11-dev,
  libboost-dev, libdbus-glib-1-dev, libudev-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pingus.seul.org/~grumbel/xboxdrv/
 Vcs-Git: git://git.debian.org/pkg-games/xboxdrv.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/xboxdrv.git;a=summary
