=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- python -*-
 
-
+import os
 import subprocess
 import string
 import re
@@ -71,7 +71,7 @@
                 
 
 
-env = Environment(BUILDERS = {
+env = Environment(ENV=os.environ, BUILDERS = {
     'DBusGlue' : Builder(action = build_dbus_glue),
     'Bin2H'    : Builder(action = build_bin2h)
     })
