=== debian/changelog ===
xboxdrv (0.8.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - bump Standards-Version to 3.9.4 (no change needed)
  * debian/patches/:
    - drop use-PATH.patch (not needed anymore as the whole environment is
      imported now)
  * debian/control:
    - use canonical anonscm.d.o URLs in the Vcs-* fields
  * debian/copyright:
    - update the copyright years

 -- Andrey Rahmatullin <wrar@wrar.name>  Sun, 05 May 2013 16:17:43 +0600
