=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Andrey Rahmatullin <wrar@wrar.name>
 Build-Depends: debhelper (>= 9), scons, libusb-1.0-0-dev, libx11-dev,
  libboost-dev, libdbus-glib-1-dev, libudev-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pingus.seul.org/~grumbel/xboxdrv/
-Vcs-Git: git://git.debian.org/pkg-games/xboxdrv.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/xboxdrv.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-games/xboxdrv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/xboxdrv.git;a=summary
 
 Package: xboxdrv
 Architecture: linux-any
