=== debian/watch ===
version=3
http://pingus.seul.org/~grumbel/xboxdrv/ xboxdrv-linux-(.+).tar.bz2
