## xboxdrv 0.8.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##  Xbox/Xbox360 USB Gamepad Userspace Driver
-##  Copyright (C) 2010 Ingo Ruhnke <grumbel@gmx.de>
+##  Copyright (C) 2010 Ingo Ruhnke <grumbel@gmail.com>
 ##
 ##  This program is free software: you can redistribute it and/or modify
 ##  it under the terms of the GNU General Public License as published by
