=== tools/SConstruct ===
# -*- python -*-

env = Environment(CPPFLAGS=["-g", "-O2", "-Wall"])
env.Program("jstest", ["jstest.c"])
env.Program("evtest", ["evtest.c"])
env.Program("usbcat", ["usbcat.cpp"], LIBS = ["usb"])
env.Program("usbdebug", ["usbdebug.cpp"], LIBS = ["usb", "pthread"])
env.Program("evtestplus", ["evtestplus.cpp"])
env.Program("evsend", ["evsend.cpp"])
env.Program("usbtool", ["usbtool.c"])

# EOF #
