=== debian/changelog ===
xboxdrv (0.8.8-4) unstable; urgency=medium

  * Team upload.
  * Adjust to the new 64-bit input_event API. Closes: #1066939.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Mar 2024 10:36:00 +0100

xboxdrv (0.8.8-3) unstable; urgency=medium

  * Team upload.
  * Apply upstream patch to port xboxdrv to Python 3. Closes: #945748.
  * Apply patch from László Böszörményi to allow building with SCons
    4.3.0. Closes: #1003029.

 -- Stephen Kitt <skitt@debian.org>  Sat, 27 Aug 2022 22:01:33 +0200

xboxdrv (0.8.8-2) unstable; urgency=medium

  * Team upload.

  [ Phil Wyett ]
  * Fix build with Python3-enabled scons. (Closes: #947585)

  [ Reiner Herrmann ]
  * Update watch file. (Closes: #895734)
  * debian/control:
    - update homepage.
    - point Vcs-* URLs to salsa.
    - update debhelper compat to 12
    - update Standards-Version to 4.5.0
    - declare that d/rules does not require root
  * Use https URL for copyright format.
  * Drop unused lintian override.

 -- Markus Koschany <apo@debian.org>  Sun, 02 Feb 2020 20:12:24 +0100

xboxdrv (0.8.8-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - bump Standards-Version to 3.9.7 (no change needed)
    - update Vcs-* fields
    - update my email
  * debian/copyright:
    - update my email and the copyright years
  * debian/docs:
    - update for README -> README.md rename
  * debian/patches/fix-build-flags-parsing.patch:
    - fix handling *FLAGS environment variables containing >1 flags (Closes:
      #809247), thanks to Bertrand Marc
  * debian/patches/fix-xboxdrv-manpage.patch:
    - fix new spelling problems
  * debian/rules:
    - update for python -> python2 change in the /usr/bin/xboxdrvctl shebang
  * debian/xboxdrv.lintian-overrides:
    - override python-script-but-no-python-dep as the deps exist in Recommends

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Mar 2016 18:19:53 +0500
