=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 9), scons, libusb-1.0-0-dev, libx11-dev,
+Uploaders: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper-compat (= 12), scons, libusb-1.0-0-dev, libx11-dev,
  libboost-dev, libdbus-glib-1-dev, libudev-dev
-Standards-Version: 3.9.4
-Homepage: http://pingus.seul.org/~grumbel/xboxdrv/
-Vcs-Git: git://anonscm.debian.org/pkg-games/xboxdrv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/xboxdrv.git;a=summary
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://xboxdrv.gitlab.io/
+Vcs-Git: https://salsa.debian.org/games-team/xboxdrv.git
+Vcs-Browser: https://salsa.debian.org/games-team/xboxdrv
 
 Package: xboxdrv
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: python, python-dbus
+Recommends: python3, python3-dbus
 Description: Xbox360 gamepad driver for the userspace
  This is a Xbox/Xbox360 gamepad driver for Linux that works in
  userspace. It is an alternative to the xpad kernel driver and has
