=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 
 override_dh_auto_install:
 	make install PREFIX="/usr" DESTDIR="$(CURDIR)/debian/xboxdrv"
-	sed -i '1s,#!/usr/bin/env python,#!/usr/bin/python,' $(CURDIR)/debian/xboxdrv/usr/bin/xboxdrvctl
+	sed -i '1s,#!/usr/bin/env python3,#!/usr/bin/python3,' $(CURDIR)/debian/xboxdrv/usr/bin/xboxdrvctl
