=== debian/watch ===
version=4
https://gitlab.com/xboxdrv/xboxdrv/tags?sort=updated_desc \
 .*/archive/v?@ANY_VERSION@/.*@ARCHIVE_EXT@
